|  | Home | Documentation | uddi2__businessList Class Reference updated by Robert van Engelen |

Public Attributes | List of all members
uddi2__businessList Class Reference

Schema urn:uddi-org:api_v2:"businessList". More...

`#include <uddi_v2.h>`

Collaboration diagram for uddi2__businessList:
[legend]

## Public Attributes

uddi2__businessInfos * | businessInfos
| Element reference "urn:uddi-org:api_v2":businessInfos.
char * | generic
| Attribute generic of type xs:string.
char * | operator_
| Attribute operator of type xs:string.
enum uddi2__truncated * | truncated
| Attribute truncated of type "urn:uddi-org:api_v2":truncated.
struct soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"businessList".

## Member Data Documentation

## ◆ businessInfos

uddi2__businessInfos* uddi2__businessList::businessInfos

Element reference "urn:uddi-org:api_v2":businessInfos.

Required element

## ◆ generic

char* uddi2__businessList::generic

Attribute generic of type xs:string.

Required attribute

## ◆ operator_

char* uddi2__businessList::operator_

Attribute operator of type xs:string.

Required attribute

## ◆ soap

struct soap* uddi2__businessList::soap

A handle to the soap struct context that manages this class instance.

## ◆ truncated

enum uddi2__truncated* uddi2__businessList::truncated

Attribute truncated of type "urn:uddi-org:api_v2":truncated.

Optional attribute

The documentation for this class was generated from the following file:

- uddi_v2.h